summaryrefslogtreecommitdiffstats
path: root/client/shared
diff options
context:
space:
mode:
authorIrina Gómez <irinagomez@us.es>2019-05-15 14:13:17 +0200
committerIrina Gómez <irinagomez@us.es>2019-05-15 14:13:17 +0200
commit97b8472e4a395a35ec0cc2d2dc1550fb9c378348 (patch)
tree64e8f2dc5105e556eca1efa3619c20b6cd4ffd37 /client/shared
parentfec3e4f55169609aa6a13b9f29272113fe9ffa0c (diff)
#895 Fix initCache: if the size of the cache changes, it always formats the cache. ogCheckFs includes the CACHE file system type
Diffstat (limited to 'client/shared')
-rwxr-xr-xclient/shared/scripts/initCache6
1 files changed, 4 insertions, 2 deletions
diff --git a/client/shared/scripts/initCache b/client/shared/scripts/initCache
index 796ab84f..9caf0be0 100755
--- a/client/shared/scripts/initCache
+++ b/client/shared/scripts/initCache
@@ -69,6 +69,8 @@ else
ogUnmountCache 2>/dev/null
ogDeleteCache
fi
+ # Tomamos el tamaño actual. Si no existe cache será 0.
+ OLDSIZE=$(ogGetCacheSize 2>/dev/null) || OLDSIZE=0
# Error si tamaño definido no es >0.
if [ ! $SIZE -gt 0 ]; then
@@ -83,9 +85,9 @@ else
ogCreateCache $NDISK $NPART $SIZE
ogUpdatePartitionTable $NDISK
fi
- # Si caché no montada y no formateada, formatear.
+ # Si caché no montada y no formateada o cambia el tamaño: formatear.
CACHE=$(ogFindCache) || exit $?
- if ! ogIsFormated $CACHE; then
+ if ! ogIsFormated $CACHE || [ $SIZE -ne $OLDSIZE ]; then
echo "[50] Formatear caché local."
ogFormatCache
fi